Real-Time Kline
K-line data for major global forex currency pairs, including complete OHLC fields such as opening price, highest price, lowest price, and closing price for major currency pairs like EUR, GBP, JPY, CHF. Supports multiple time periods from minute charts to monthly charts, with accurate and reliable data.
/forex/klineRequest Parameters
regionenumRequiredMarket code
codestringRequiredProduct code
kTypeenumRequiredInterval: 1 minute, 2 five minutes, 3 fifteen minutes, 4 thirty minutes, 5 one hour, 8 one day, 9 one week, 10 one month
etstringWhen the query end timestamp (e.g., 1751328000000) is empty, it defaults to the current timestamp.
limitstringRequiredNumber of records to query
Response Parameters
codenumberResponse code
msgstringResponse description
dataarray(object)▶Response result
tunumberTransaction amount
cnumberClosing price of the Kline
tnumberTimestamp
vnumberTransaction volume
hnumberHighest price of the Kline
lnumberLowest price of the Kline
onumberOpening price of the Kline
Code Examples
import requests
url = "https://api.itick.org/forex/kline?region=GB&code=EURUSD&kType=2&limit=10"
headers = {
"accept": "application/json"
"token": "Your Token"
}
response = requests.get(url, headers=headers)
print(response.text)Query URL
https://api.itick.org/forex/kline?region=GB&code=EURUSD&kType=2&limit=10, Run query
Response Result
{
"code": 0,
"msg": null,
"data": [
{
"tu": 316.57132,
"c": 1.08051,
"t": 1741239180000, // 2025-03-06 05:33:00 UTC
"v": 293,
"h": 1.08053,
"l": 1.0803,
"o": 1.0803
}
]
}